<template>
  <div class="room_info">
    <div class="staff_box flex flex-ver flex-sb">
      <div v-if="occupyInfoViewArr.length > 1" class="staff_box_item flex-1 flex flex-center">
        <div>
          <div class="staff_box_item__title">客户名称</div>
          <div class="staff_box_item__name">{{ occupyInfoView.appellationName || occupyInfoView.userName || '' }}</div>
        </div>
      </div>
      <div class="staff_box_item flex-1 flex flex-center">
        <div>
          <div class="staff_box_item__title">分诊顾问</div>
          <div class="staff_box_item__name">{{ occupyInfoView.adviserName || '' }}</div>
        </div>
      </div>
      <div class="staff_box_item flex-1 flex flex-center">
        <div>
          <div class="staff_box_item__title">执行医生</div>
          <div class="staff_box_item__name">{{ occupyInfoView.aDoctorName || '' }}</div>
        </div>
      </div>
      <div class="staff_box_item flex-1 flex flex-center">
        <div>
          <div class="staff_box_item__title">执行护士</div>
          <div class="staff_box_item__name">{{ occupyInfoView.aNurseName || '' }}</div>
        </div>
      </div>
    </div>
    <div class="room_info_project">
      <div class="room_info_project_block">
        <div class="tx">{{ occupyInfoView.projectName || '' }}</div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'XioRoomInfoBlock',
  props: {
    occupyInfoView: {
      type: [Object, Array],
      default: () => {
        return {}
      }
    },
    occupyInfoViewArr: {
      type: Array,
      default: () => {
        return []
      }
    }
  },
  data() {
    return {

    }
  },
  methods: {
    noop() {
      return
    },
    // 确认
    confirm() {
      this.isShow = false
      this.$emit('confirm', { })
    },
    // 显示弹窗
    showDialog() {
      this.isShow = true
    },
    // 关闭弹窗
    hideDialog() {
      this.isShow = false
      this.$emit('confirm', { })
    }
  }
}
</script>

<style scoped>
.room_info {
  width: 100%;
  height: 100%;
  border-radius: 10px;
  background-color: rgba(255,255,255,0.3);
  box-sizing: border-box;
  padding-top: 30px;
}
.room_info .staff_box {
}
.room_info .staff_box_item {
  height: 180px;
}
.room_info .staff_box_item:nth-child(1) {
  background-color: rgba(255,255,255,0.3);
}
.room_info .staff_box_item:nth-child(2) {
  background-color: rgba(255,255,255,0.1);
  margin: 0 10px;
}
.room_info .staff_box_item:nth-child(3) {
  background-color: rgba(255,255,255,0.3);
}
.room_info .staff_box_item:nth-child(4) {
  background-color: rgba(255,255,255,0.1);
  margin-left: 10px;
}
.room_info .staff_box_item__title {
  line-height: 28px;
  color: rgba(255,255,255,1);
  font-size: 20px;
  text-align: center;
  font-family: PingFangSC-regular;
}
.room_info .staff_box_item__name {
  line-height: 56px;
  color: rgba(255,255,255,1);
  font-size: 40px;
  text-align: center;
  font-family: PingFangSC-medium;
  margin-top: 5px;
}
.room_info .room_info_project {
  padding: 36px 20px 20px 20px;
  height: 138px;
  box-sizing: border-box;
  overflow: hidden;
}
.room_info .room_info_project_block {
  box-sizing: border-box;
  width: 100%;
  height: 100%;
  overflow: auto;
}
.room_info .room_info_project .tx {
  line-height: 39px;
  color: rgba(255,255,255,1);
  font-size: 28px;
  text-align: center;
  font-family: PingFangSC-regular;
}
</style>
